Page MenuHomePhabricator

Complete webpack migration of mobile.startup
Closed, ResolvedPublic2 Story Points

Description

Continue the migration of mobile.startup to webpack.

Acceptance criteria

  • Drawer.js built via webpack and tested by node-qunit
  • CtaDrawer.js built via webpack and tested by node-qunit
  • PageList.js built via webpack and tested by node-qunit
  • toast.js built via webpack and tested by node-qunit

Note: None of these modules have tests.

Sign off steps

  • Measure and record code coverage (sneak preview is 0%!) on the wiki page

Related Objects

StatusAssignedTask
ResolvedJdlrobson
ResolvedJdlrobson
OpenNone
ResolvedJdlrobson
OpenNone
ResolvedJdlrobson
ResolvedJdlrobson
ResolvedJdlrobson
ResolvedABorbaWMF
OpenJdlrobson
ResolvedJdlrobson
StalledNone
ResolvedJdlrobson
ResolvedJdrewniak
ResolvedJdlrobson
OpenNone
ResolvedJdlrobson
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedJdlrobson

Event Timeline

Jdlrobson created this task.Oct 3 2018, 8:55 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 3 2018, 8:55 PM
Jdlrobson triaged this task as High priority.Oct 3 2018, 8:55 PM
ovasileva set the point value for this task to 2.Oct 9 2018, 4:54 PM

Change 469045 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[mediawiki/extensions/MobileFrontend@master] Moving mobile.startup/Drawer.js to webpack

https://gerrit.wikimedia.org/r/469045

Change 469053 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[mediawiki/extensions/MobileFrontend@master] Move mobile.startup/CtaDrawer.js to webpack

https://gerrit.wikimedia.org/r/469053

Change 469062 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[mediawiki/extensions/MobileFrontend@master] Move mobile.startup/PageList.js to webpack

https://gerrit.wikimedia.org/r/469062

Change 469063 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[mediawiki/extensions/MobileFrontend@master] Move mobile.startup/toast.js to webpack

https://gerrit.wikimedia.org/r/469063

Change 469045 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Moving mobile.startup/Drawer.js to webpack

https://gerrit.wikimedia.org/r/469045

Change 469053 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Move mobile.startup/CtaDrawer.js to webpack

https://gerrit.wikimedia.org/r/469053

Change 469062 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Move mobile.startup/PageList.js to webpack

https://gerrit.wikimedia.org/r/469062

Change 469063 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Move mobile.startup/toast.js to webpack

https://gerrit.wikimedia.org/r/469063

Jdlrobson closed this task as Resolved.Oct 23 2018, 1:07 AM
Jdlrobson updated the task description. (Show Details)